Subject: Re: git makes it impossible to ignore or override global gitconfig, needs `GITCONFIGFILE`

From: Eric Wong <[email-masked]>
Date: Thu, 19 Mar 2020 06:44:07 +0000

Timothee Cour <[email-masked]> wrote:
> git makes it impossible to ignore global gitconfig. This is
> essentially what's being asked here:
> https://stackoverflow.com/questions/23400449/how-to-make-git-temporarily-ignore-gitconfig
> 
> ## proposal:
> add an environment variable (like for tig and other programs), eg:
> `GITCONFIGFILE=~/.gitconfig_temp git diff`
> seems like an easy change that would make it easy for users to ignore
> or override their gitconfig

You can use GIT_CONFIG for that, and there's also
GIT_CONFIG_NOSYSTEM.  They're both documented in the
git-config(5) manpage.

> ## note:
> I've asked here:
> https://groups.google.com/forum/#!topic/git-users/1ehWsItL8vE but got
> 0 response after 6 months

Oh well...  I don't pay any attention to that list, and not too
much to this one, either.  I was just working on the archives
and noticed this was the latest message on this list :>